/* Contenedor principal */
.main-container{
    width: 100%;
    height: 80vh;
    display: flex;
    justify-content: center;
    align-items:center ;
}

.login-container {
    width: 58%;
    height: 100%;    
    display: flex;
    gap: 100px;
}

/* Imagen */
.login-image {
    display: flex;
    align-items: center;
}

.image{
    border-radius: 24px;
    max-width: 100%;
    height: 80%;
    min-height: 400px;
    display: block;
}

/* Formulario */
.login-form {
    flex: 1;
    padding: 40px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

h4 {
    margin: 0;
    font-size: 2rem;
    font-weight: 700;
    color: #222;
    text-align: center;
}

p {
    font-size: 1rem;
    color: #555;
    text-align: center;
}

label {
    font-size: .875rem;
    font-weight: 600;
    margin-top: 15px;
    --tw-text-opacity: 1;
    color: rgb(66 102 113 / var(--tw-text-opacity, 1));
    display: block;
    text-align: left;
    width: 85%;
}

input {
    width: 85%;
    padding: 14px !important;
    margin-top: 5px;
    border: 1px solid #ddd;
    border-radius: 16px;
    font-size: 14px;
    cursor: pointer;
}

input:hover {
    border: 1px solid black;
}

.txt-contraseña {
    width: 100%;
    padding: 14px;
    margin-top: 5px;
    border: 1px solid #ddd;
    border-radius: 16px;
    font-size: 14px;
    cursor: pointer;
}

.txt-contraseña:hover {
    border: 1px solid black;
}

.continuar-btn {
    background: linear-gradient(to right, #c7161e, #21356b);
    --tw-bg-opacity: 1;
    border: 2px solid white;
    padding: 12px 32px;
    width: 85%;
    font-size: 1rem;
    font-weight: 700;
    color: white;
    border-radius: 16px;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 8px;
    box-sizing: border-box;
    text-decoration: none;
    margin: 20px 0;
    cursor: pointer;
}

.continuar-btn:hover {
    border-color: #c7161e;
    background: transparent;
    color: #21356b;
}

.iniciar-sesion-btn {
    background: linear-gradient(to right, #c7161e, #21356b);
    --tw-bg-opacity: 1;
    border: 2px solid white;
    padding: 12px 32px;
    width: 100%;
    font-size: 1rem;
    font-weight: 700;
    color: white;
    border-radius: 16px;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 8px;
    box-sizing: border-box;
    text-decoration: none;
    margin-top: 32px;
    margin-bottom: 20px ;
    cursor: pointer;
}

.iniciar-sesion-btn:hover {
    border-color: #c7161e;
    background: transparent;
    color: #21356b;
}

.password-container{
    width: 85%;
    display: none;
}

.password-wrapper {
    position: relative;
    display: flex;
    align-items: center;
    width: 100%;
}

.forgetpassword-link{
    margin-top: 15px;
    font-size: .875rem;
}

.forgetpassword-link a {
    font-weight: 600;
}

.forgetpassword-link a:hover {
    color: rgba(var(--bs-link-color-rgb), var(--bs-link-opacity, 1));
}

/* Ícono del ojo */
.toggle-password {
    position: absolute;
    right: 30px;
    cursor: pointer;
    align-items: center;
    display: flex;
    margin-top: 5px;
}

/*ALERTAS DE ERROR*/
.alert {
    display: flex;
    align-items: center;
    background-color: #fdeae5; /* Color de fondo similar */
    color: #3a3a3a; /* Color del texto */
    padding: 16px;
    border-radius: 24px; /* Bordes redondeados */
    font-family: Manrope, Arial, sans-serif;
    font-size: .875rem;
    font-weight: 700;
    width: 85%;
}

.alert i {
    --tw-text-opacity: 1;
    color: rgb(255 107 96 / var(--tw-text-opacity, 1));
    margin-right: 10px;
    font-size: 18px;
}

.error-email{
    display: none;
}

.invalid-email{
    display: none;
}

.invalid-number{
    display: none;
}

/* Texto de registro */
.register-text {
    margin-top: 15px;
    font-size: .875rem;
    text-align: center;
}

.register-text a {
    font-weight: 600;
}

.register-text a:hover {
    color: rgba(var(--bs-link-color-rgb), var(--bs-link-opacity, 1));
}

.salto{
    display: none;
}

/* Estilos del modal */
.modal {
    display: none; /* Oculto por defecto */
    position: fixed;
    z-index: 1000; /* Encima de todo */
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5); /* Fondo oscuro semi-transparente */
    justify-content: center;
    align-items: center;
}

/* Contenido del modal */
.modal-content {
    background: white;
    padding: 40px;
    border-radius: 24px;
    width: 547px;
    box-shadow: 0px 4px 10px rgba(0, 0, 0, 0.2);
    animation: fadeIn 0.3s ease-in-out;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

/* Icono */
.modal-icon img {
    width: 50px;
    height: 50px;
    margin-bottom: 10px;
}

h2, .msg-error {
    font-size: 1.5rem;
    font-weight: 700;
    line-height: 32px;
    color: black;
}

/* Botón de cerrar */
.close-btn {
    cursor: pointer;
    background: linear-gradient(to right, #c7161e, #21356b);
    transition: background 0.3s ease;
    margin-top: 15px;
    --tw-bg-opacity: 1;
    border: 2px solid white;
    padding: 12px 32px;
    font-size: 1rem;
    font-weight: 700;
    color: white;
    border-radius: 16px;
    box-sizing: border-box;
    text-decoration: none;
    width: 100%;
}

.close-btn:hover {
    border-color: #c7161e;
    background: transparent;
    color: #21356b;
}

/* Animación de aparición */
@keyframes fadeIn {
    from {
        opacity: 0;
        transform: scale(0.9);
    }
    to {
        opacity: 1;
        transform: scale(1);
    }
}


@media (max-width: 1670px) {
    .login-container {
        width: 70%;
        gap: 23vh;
    }

    .password-container{
        width: 100%;
    }

    label {
        width: 100%;
    }

    input {
        width: 100%;
    }
    
    .continuar-btn {
        width: 100%;
    }

    .alert {
        width: 100%;
    }
}

@media (max-width: 1440px) {
    .login-container {
        gap: 12vh;
    }

    .login-form {
        padding: 0;
    }

}

@media (max-width: 1200px) {
    .login-image {
        display: none;
    }

    .main-container {
        height: 60vh;
    }

    h4 {
        font-size: 1.25rem;
    }

    label {
        width: 85%;
    }

    input {
        width: 85%;
    }

    .password-container{
        width: 85%;
    }
    
    .continuar-btn {
        width: 85%;
    }

    .alert {
        width: 85%;
    }

    .login-form {
        padding: 40px;
    }

    .login-container {
        width: 60%;
    }

    .modal-content {
        padding: 32px;
        width: 100%;
    }
}

@media (max-width: 768px) {
    h4 {
        font-size: 1.25rem;
    }

    .login-container {
        width: 85%;
    }

    input {
        width: 100%;
    }

    .password-container{
        width: 100%;
    }
    
    .continuar-btn {
        width: 100%;
    }

    .alert {
        width: 100%;
    }

    label {
        width: 100%;
    }
    .salto{
        display: block;
    }

    .login-form {
        padding: 0;
    }
}

@media (max-width: 480px) {
    .main-container {
        height: 80vh;
    }
}